User Tools

Site Tools


debian:buster

Debian 10 Buster installation

Compléments d'installation

Permettre à un utilisateur d'utiliser sudo :

su
/sbin/adduser carl sudo

(source)

Packages en plus :

sudo apt update
sudo apt install nfs-common keepass2 vim screen nedit cheese vlc audacious youtube-dl chromium 
sudo apt install libreoffice-l10n-fr hunspell-dictionary-fr myspell-dictionary-fr hyphen-fr hunspell-fr-modern libreoffice-grammarcheck-fr

Zoom

Lorsque je rejoins une vidéoconférence avec Chromium, il n'y a pas l'image (uniquement le son). J'ai donc installé l'application qui fonctionne correctement.

cd Downloads
wget https://cdn.zoom.us/prod/5.6.16888.0424/zoom_amd64.deb
sudo apt update
sudo dpkg -i zoom_amd64.deb
sudo apt install libgl1-mesa-glx libxcb-xtest0 ibus
sudo apt --fix-broken install

LAMP

Pour Apache, MySQL et PHP, on peut trouver tout dans les paquets de base :

sudo apt update
sudo apt upgrade
sudo apt install apache2
sudo apt install php php-cgi php-mysqli php-pear php-mbstring php-gettext libapache2-mod-php php-common php-phpseclib php-mysql
sudo apt install default-mysql-server

Pour mettre un mot de passe pour le compte root de mariadb :

sudo mysql_secure_installation

Attention qu'on ne peut accéder qu'au compte root de mariadb qu'en étant identifié comme root ou avec sudo :

sudo mariadb -u root -p

Donc, pas moyen d'utiliser phpmyadmin (voir plus bas) avec le compte root. Il faut créer un nouvel utilisateur, cf. mysql.

Pour phpmyadmin (frontend web) par contre, il ne se trouve plus dans Debian 10, mais il est dans buster-backports : ajouter dans /etc/apt/source.list la ligne suivante :

deb http://deb.debian.org/debian buster-backports main

Installer la version des backports de php-twig (le paquet de base est trop ancien pour phpmyadmin) :

sudo apt update
sudo apt -t buster-backports install php-twig

Ensuite, installer les paquets supplémentaires suivants réclamés par phpmyadmin:

sudo apt install php-curl php-gd php-bz2 php-zip

Finalement, installer phpmyadmin (et sélectionner apache2 comme serveur à reconfigurer) :

sudo apt install phpmyadmin

Et ça y est : phpmyadmin est disponible ici : http://localhost/phpmyadmin/

Sources :

Backports

Ajouter 2 lignes dans /etc/apt/sources.list :

sudo vi /etc/apt/sources.list

Les 2 lignes à ajouter sont les suivantes (retirer les commentaires # si nécessaire) :

deb http://deb.debian.org/debian bullseye-backports main #contrib non-free
#deb-src http://deb.debian.org/debian bullseye-backports main contrib non-free

Ensuite, faire une mise à jour :

sudo apt update
sudo apt ugrade

Installer un paquet (“package-name”) dans backports :

sudo apt -t bullseye-backports install package-name

Source

debian/buster.txt · Last modified: 2021/11/24 15:01 by carl